---
title: Forum ouvert, animation et posture
headline: Quelques retours et questionnements sur les postures d'animation au sein des forums ouverts
---

Début Février j'ai participé à un Forum Ouvert. Il s'agit de la troisième fois, et cette fois ci j'étais particulièrement attentif aux procédés mis en place pour sa tenue, puisque je faisais partie de l'équipe d'organisation.

## Un forum ouvert ?

Les forums ouverts sont des outils qui permettent de se retrouver avec un groupe de personnes et d'avoir des échanges. L'idée est de créer un cadre assez léger qui permette aux personnes d'échanger de manière assez horizontale.

Les 4 principes :

- les personnes présentes sont les bonnes personnes ;
- quoi qu'il arrive, c'est la seule chose qui pouvait arriver ;
- ça commence quand ça commence ;
- quand c’est fini, c’est fini.

La loi de la mobilité ou loi des deux pieds : si à un moment vous vous rendez compte que vous n'être ni en train d’apprendre, ni de contribuer, aller voir autre chose !

Retours :

- J'étais hyper surpris de voir à quel point l'outil est fonctionnel en tant que tel : les discussions auxquelles j'ai pu participer étaient souvent assez « poussées » alors même que les personnes ne se connaissaient pas d'avant le forum.

- Durant le forum ouvert, il y avait la possibilité de prendre des notes, et de les partager avec tout le monde dans un espace prévu pour ça. Je n'y croyais pas trop, mais ça à vraiment fonctionné ! On avait préparé des pads en ligne (un espace de prise de notes partagées) avant l'évènement ce qui à permis de faciliter la prise de notes ;

- Avoir un endroit pour afficher les notes prises durant les discussions est utile, et créé un sentiment de satisfaction collectif ;

- Répartition de la parole : à un moment, on propose aux participant⋅e⋅s de venir proposer des sujets, et on s'est rendu compte que c'était (comme bien trop souvent) en grande partie des hommes cis (assignés hommes à la naissance) qui prenaient la parole à ce moment là. Pour éviter que ce ne soit le cas, laisser un temps de réflexion à tou⋅te⋅s avant de prendre la parole peut être utile.

- Inclusion des personnes trans et non-binaires : Faire un tour des pronoms peut permettre aux personnes trans et non-binaires d'être plus incluses, ou en tout cas de visibiliser leur présence. On ne l'avait pas fait lors du premier jour et ça à manqué ;

- Sur un plan plus pragmatique, trouver une logistique pour faire à manger de manière collective / faire le ménage / installer les tables etc, pourrait permettre aux organisateur⋅ice⋅s de participer aux discussions.

- Lors de la phase d'organisation, il est possible de fusionner les sujets, et ça à été le cas pour au moins deux sujets proposés, ce qui à créé une situations problématique. Dans son livre qui parle des forums ouverts, Owen indique que parfois il vaut mieux ne pas fusionner les sujets, et je pense qu'on aurait sûrement du ici. Les attentes des participant⋅e⋅s ne sont pas forcement les mêmes, et ça peut créer de la frustration si les choses ne sont pas forcément bien amenées. C'est sûrement quelque chose à souligner aux participant⋅e⋅s lors du temps d'accueil.

## Animer et/ou participer ?

A titre personnel, j'ai été assez frustré par la posture un peu floue que j'avais durant le forum : je faisais partie de l'équipe d'organisation mais je ne m'occupais pas de l'animation, nourrissant l'espoir de participer aux discussions.

J'ai pu participer à certaines discussions, mais jamais (sauf une exception) pour une session entière, et j'ai trouvé ça dommage. Après une discussion avec Thomas qui à déjà animé au moins un forum ouvert, il semble possible d'« ouvrir » et de « fermer » les temps d'organisation, pour permettre aux organisateur⋅ice⋅s d'animer et de participer.

J'aime bien cette idée, parce que ça veut dire que tout le monde peut participer, et que la posture d'animation ne signifie pas un « sacrifice », mais peut-être que cette idée à aussi ses défauts : lors d'une discussion avec un⋅e des animateurs⋅rices iel m'a indiqué qu'iel préférait rester extérieur aux discussions, pour éviter les prises de pouvoir.

Autrement dit, faire l'animation du forum ouvert conférerait un pouvoir qui pourrait être néfaste lors des discussions. Je ne sais pas trop quoi penser de cette idée, mais il me semble pertinent de pousser la réflexion. Dans une posture plus « classique » de facilitation, on s'efforce de rester extérieur aux discussions, pour ne pas avoir de conflit d'intérêt.

Mais dans le cas du forum ouvert, je n'ai pas l'impression que faire l'animation confère un pouvoir sur le groupe, autre que celui d'être garant⋅e des règles du fonctionnement collectif (rappel de l'heure par exemple, rappel du cadre de bienveillance). Si vous avez des retours sur ce sujet je suis preneur !

Voire, je me demande même quel rapports cela génère de — justement — rester extérieur et de ne pas participer, alors même qu'on est présent⋅e. Dit autrement, alors que tout le monde se rencontre à travers les discussions, se met en jeu, ce n'est pas le cas des animateur⋅ice⋅s, et je me demande si ça impacte l'ambiance générale ?

En tout cas, j'aime bien l'idée qu'il soit possible d'à la fois animer les temps de forums et de participer. Dans ce cas là, existe-il des stratagèmes / artifices pour permettre de visibiliser ces prises de pouvoir pendant les discussions ?

Je suis preneur de tout retour d'expérience sur le sujet !