---
date: 2023-11-11
headline: Une reprise après deux semaines de pause. Première semaine sur uMap, et beaucoup d'à-côtés.
---

# 2023, Semaine 45

Une reprise après deux semaines de pause. Première semaine sur uMap, et beaucoup d'à-côtés.

## Ce qui s'est passé

**[uMap](https://github.com/umap-project/umap/)**
: J'ai commencé à travailler sur le projet, que je rejoins pour quelques temps, aux côté de David, Yohan, Aurélie et Sophie. L'idée est de travailler spécifiquement sur la collaboration temps réel sur les cartes. J'ai commencé par lire le code existant, puis par faire un état de l'art des solutions existantes. Prendre le temps de lire le code, de comparer les différents approches, et de mesurer leurs impacts.
: David et Yohan m'ont proposé de documenter mon travail, j'ai donc fait [un premier billet de blog, à paraître]() (en anglais) sur le sujet.

**[Argos](https://framasoft.frama.io/framaspace/argos/)**
: J'ai pu échanger sur le code que j'ai fait avec Matthieu. Ses yeux sont plus avertis, et j'ai pu avoir des retours intéressants. J'ai appris entre autres l’existence d'[un projet similaire](https://github.com/mozilla-services/telescope) chez Mozilla, qui recouvre une partie des mêmes usages. Quelques pistes intéressantes la bas. Je n'ai pas encore pris le temps d'intégrer les changements, mais j'aime beaucoup l'idée de faire des revues de code de ce type.

**[Chariotte](https://chariotte.fr/)**
: J'ai déployé Chariotte sur l'infrastructure d'AlwaysData, qui nous propose [un hébergement gratuit, en tant que projet open source](https://www.alwaysdata.com/fr/open-source/). Tout s'est passé très simplement et sans accrocs.

**[Notmyidea](https://notmyidea.org/)**
: J'ai enfin créé la structure pour porter mon activité salariée. Pour le moment je pars sur une auto-entreprise. Le choix se fait après de nombreuses tergiversations. Je suis content d'écouter mon besoin de limiter mon investissement collectif pour le moment.
: J'ai pris le temps de mettre à jour la page [Projets](/projets.html) pour la rendre plus lisible.
: J'ai utilisé Datasette pour faire un suivi des heures que je passe sur chaque projet, et rédigé [un article de blog sur le sujet](/using-datasette-for-tracking-my-professional-activity.html).

## Des joies 🤗

- Ressentir mon envie de reprendre à faire de la technique après deux semaines à faire autre chose.
- Prendre le temps de mesurer la dynamique existante d'un groupe avant de faire des propositions.
- Réussir ne pas me laisser envahir par des émotions qui ne sont pas les miennes.
- Réunir des amis et amies pour un atelier d'écriture. Être content d'entendre les textes des autres.
- Prendre le temps d'une après-midi pour échanger en toute simplicité.
- Ressentir de la joie en écoutant de la musique. C'est simple, mais ça marche tellement bien.
- Apprécier une session de brainstorming technique.
- Recroiser des personnes du milieu brassicole sans stresser.
- Faire de la revue de code avec [Matthieu](https://blog.mathieu-leplatre.info/), en profiter pour se donner des nouvelles.
- Avoir du temps seul sans contraintes horaires et me sentir productif à ce moment là.
- Me retrouver dans une voiture sous la pluie battante, entouré d'amies, en écoutant Clara Ysé à fond.
- Participer à un temps d'échange de compétences.

## Des peines 😬

- Je me suis senti fatigué de passer une après-midi en réunion. Triste de ne pas l'avoir anticipé alors qu'on me l'avait servi sur un plateau.
- Mon rythme s'améliore, mais cette semaine était trop remplie.
- Peut-être la conséquence : je suis fatigué et en train de tomber malade.
- Je me suis senti parfois anxieux et triste au réveil.
- J'ai annulé un week-end qui me donnait envie pour éviter de contaminer tout le monde. À la fois frustré et content de prendre soin (de moi et des autres).
- Je me suis senti désorganisé et « flottant » durant ma dernière semaine de pause.
- Ne pas prendre la distance nécessaire avec mes interlocuteurs alors que je me sentais jugé (à tord ou à raison).

## Vu, lu, écouté

- 🎬 Vu [The Old Oak](https://fr.wikipedia.org/wiki/The_Old_Oak), de Ken Loach. J'aime beaucoup la finesse du propos, j'ai fondu en larmes à la fin du film. Ça fait autant de bien que ça questionne sur mes engagements.
- 🎬 Vu [Victoria](https://fr.wikipedia.org/wiki/Victoria_(film,_2016)) de Justine Triet.
- 🎵 Vu en concert [Juliette](https://fr.wikipedia.org/wiki/Juliette_(chanteuse)). J'ai bien aimé certains textes, ça me donne envie de les écouter plus en détail.
- 🎵 Vu en concert [French79](https://fr.wikipedia.org/wiki/French_79), ça fait du bien d'avoir des vibes positives !
- 📖 J'ai commencé à lire Spin, de Robert Charles Wilson.
- 🕸️ Un article d'Acrimed sur [le traitement du conflit israélo-palestinien dans les médias Français](https://www.acrimed.org/Conflit-israelo-palestinien-calomnies-mediatiques)
- 🎵 J'ai découvert [Clara Ysé](https://www.youtube.com/watch?v=YvQAYUb9mu8). Quelle puissance !
- 🎧 Écouté [Burn-out militant, mal ou symptome ?](https://www.radiofrance.fr/franceculture/podcasts/sous-les-radars/burn-out-militant-mal-ou-symptome-2399524) dans l'émission « sous les radars ».
- 🎧 Écouté [Logement : la fin de la France des propriétaires ?](https://www.radiofrance.fr/franceculture/podcasts/sous-les-radars/logement-la-fin-de-la-france-des-proprietaires-3511615) 

## Technique

- J'ai lu [un thread à propos de Overturemaps sur le forum de OSM](https://community.openstreetmap.org/t/overturemaps-org-big-businesses-osmf-alternative/6760/7), assez éclairant sur ce qu'est Overture Maps, et la potentielle menace pour OSM.
- ▶︎ Simon Willison à fait [une présentation sur les embeddings](https://www.youtube.com/watch?v=ArnMdc-ICCM&t), comment ils fonctionnent et comment les utiliser. 
- ▶︎ Une présentation sur [le fonctionnement interne et l'état de l'art des CRDTs](https://www.youtube.com/watch?v=x7drE24geUw) par Martin Kleppmann
- 🕸️ J'ai découvert [Freesound](https://freesound.org/) grace à Sam : une bibliothèque de sons libres de droits.