---
title: Le conflit n'est pas une agression
author: Sarah Schulmann
headline: 
tags: conflit, agression, facilitation
isbn: 9782490077489
status: draft
---

> Plutôt que d'assumer sa part de responsabilité dans l'existance d'un conflit, le recours à l'accusation constitue une arme redoutable, et c'est ainsi que les conflits ordinaires s'intensifient au point de se transformer en crises.
> Le choix d'incriminer plutôt que de résoudre est le produit d'une pensée dysfonctionnelle ; il repose sur une conception négative des relations de groupe, qu'il participe à renforcer, là où il s'agirait au contraire de remettre activement en question cette idéologie.
> 
> **Ce mécanisme d'exagération du préjudice passe par des accusations infondées qui viennent justifier l'usage de la violence, tandis que les dynamiques d'exclusion enrayent toute possibilité de communication.**
> 
> La résistance à la marginalisation, à l'exclusion et à la domination, bien que néessaire, est interprétée comme une attaquye et sert une nouvelle rois de justification pour intensifier les agressions, les intervantions étatiques et la violence; Pour transformer ces paradigmes, les mâitres mots sont la communication, et la réparation - plutôt que l'exclusion et la division.
> 
> — page 25.

---

> Le sexisme à exploité cette vérité pour forger l'illusion que les hommes en savent touours plus sur les femmes que ce que nous en savons nous-mêmes. S'oposer à la domination mawculine ne revient cependant pas à prétendre que les femmes sont trasparentes à elles-mêmes. Et si l'autre personne mettait le doigt sur quelque chose que je n'étais pas en mesure d'exprimer toute seule ? Est-ce que ça me mettrait en colère ou est-ce que je refuserais de voir la réalité ? Plutôt que de me livrer à l'introspection, est-ce que je trouverais une manière de l'accuser ? Et si elle m'aidait, au contraire, à reconnaître cette réalité ou à en prendre conscience ?

---

> le refus de communiquer à toujours été la cause principale des accusations mensongères car il permet de nourrir toutes sortes de fantasmes négatifs à propos de l'autre, surtout dans les domaines symboliquement chargés tels que la sexualité, l'amour, la communauté, la famille, les ressources matérielles, les identités de groupe, le genre, le pouvoir, le capital social et la violence.
> Refuser catégoriquement d'adresser la parole à quelqu'un est un acte de destruction aussi étrange qu'immature; personne n'en sort gagnant.

> Souvent, ces blocages partent de rien, d'un conflit ordinaire ou d'une simple différence. Ils prennent ensuite de l'importance pour la personne qui est à l'initiative du blocage car celle-ci est trop angoissée pour négocier ou parce que l'idée de parler à quelqu'un qu'elle à précédemment déshumanisé la paralyse. Et, comme elle refuse également d'admettre l'existence de ces projections, toute négociation devient impossible. Elle est incapable d'avancer, tout comme la personne qui se trouve sous le joug de son refus. Si nous reconnaissons que les relations sont nécessaires à l'établissement de la paix à l'échelle des individus comme de la société [...] alors on devrait pouvoir naturellement dire : « Quelle est la pire chose qui pourrait t'arriver si tu parles ? » ou « Comment est-ce que je peux vous aider à communiquer ? ». Malheureusement, la norme (dysfonctionnelle) considère la volonté de réparation comme une agression et la capacité à projeter des fantasmes négatifs comme un droit.
>
> — page 40

---

> Aujourd'hui, le caractère réducteur des solagans publicitaires st également appliqué à des domaines très sérieux tels que les droits humains ou la sécurité. Ces messages ne sont plus seulement destinés à vendre du liquide vaisselle, mais par exemple à aider les femmes à se protéger contre la violence masculine. Cependant, leur manque de subtilité peut également contribuer à renforcer le déni sur ces questions. Le désaccord est un terrain complexe dont nous devons pourtant embrasser les nuances si nous voulons agir de maière constructive, avec honnêteté et sincérité.

> 	Nous avons tous·tes eu affaire, à un moment ou à un autre, à la figure du patriarche, du mâle dominant, du nationaliste, du raciste, ou simplement du petit notable de province qui ne tolère aucune opposition, n'a jamais tort, ne s'excuse jamais et pique des colères dès qu'il se trouve confronté à des expériences qui diffèrent des siennes. 
> 	
> Il dénigre les autres mais ne supporte aucune critique le concernant. Il peut user de sarcasme et de cruauté pour détruire les autres mais sa compréhension des émotions est pour le moins superficielle. Il ne laisse pas les gens lui donner leur version des faits. Il ne cherche pas à résoudre les problèmes car cela reviendrait à admettre qu'il a fait une erreur, ce qui est impossible. [...] Il n'admet pas la complexité et les personnes qui l'entourent ne le contredisent pas. 
> 
> Sa partenaire , ses ami·es, les personnes qui ont l'impression d'être protégées ou valorisées par lui, ou qui bénéficient de son pouvoir, font en sorte que les autres ne s'opposent pas à lui. Elles détournent les critiques qui lui sont adressées. Elles sont prudentes quand il se trouve dans les parages, et se voient récompensées pour cela. Il ne demande jamais aux autres : « Qu'est-ce que tu ressens ? », ne dit jamais « Je ne comprends pas ce qui se passe. Comment voit tu les choses ? » Il se comporte comme si les autres devaient être à ses ordres, et lorsque ce n'est pas le cas, il les punit, les intimide, les exclut, les accuse à tort, organise des exclusions de groupe, produit des récits alternatifs ; il est capable d'user de la menace, d'en appeler à la loi, voire même de recourir à la violence.
> 	
> **Il attend des autres personnes qu'elles obéissent une fois qu'il a affirmé sa position, qu'elles y adhèrent. Et c'est ainsi que le problème est résolu : à travers l'obéissance.**
> 
> 	– page 142

---

> La question de la honte me semble importante dans le processus d'escalade. Pourquoi, face à une situation donnée, certaines personnes recherchent-elles la réconciliation et la paix quand d'autres ressentent le besoin d'exclure et de détruire pour se sentir victorieuses ?
> 
> [Deux études de psychologie, à 16 ans d'écart] aboutissent à la même conclusion : la manière dont les gens appréhendent un conflit dépend de ce qui l'a causé — la culpabilité ou la honte.
> 
> Ainsi, lorsque la culpabilité se trouve à l'origine du conflit, les personnes cherchent à discuter, sont capables de s'excuser, d'admettre leurs erreurs et de faire des concessions; elles s'investissent dans la recherche d'un issue positive. 
> 
> **En revanche, lorsque la honte se trouve être à l'origine du conflit, les personnes, pleines de colère et d'agressivité envers la partie adverse, rejettent la faute sur elle**. Cette différence s'explique par le fait que les personnes qui ressentent de la culpabilité sont moins sujettes au stress émotionnel et à l'angoisse que celles qui éprouvent de la honte.
> 
> Elles sont donc plus à même de faire attention aux conséquences de leurs actes. Ces études ont aussi montré que les personnes qui éprouvaient de la honte se sentaient d'avantage menacées et que le regard des autres importait énormément pour elles.
> 
> – page 147


---